# Uses of Class
org.eclipse.jdt.core.dom.Assignment.Operator

Packages that use Assignment.Operator
Package
Description
org.eclipse.jdt.core.dom
The Java DOM/AST is the set of classes that model the source code of a Java program as a structured document.

## Uses of Assignment.Operator in org.eclipse.jdt.core.dom

Fields in org.eclipse.jdt.core.dom declared as Assignment.Operator
Modifier and Type
Field
Description
`static final Assignment.Operator`
Assignment.Operator.`ASSIGN`
= operator.
`static final Assignment.Operator`
Assignment.Operator.`BIT_AND_ASSIGN`
&= operator.
`static final Assignment.Operator`
Assignment.Operator.`BIT_OR_ASSIGN`
|= operator.
`static final Assignment.Operator`
Assignment.Operator.`BIT_XOR_ASSIGN`
^= operator.
`static final Assignment.Operator`
Assignment.Operator.`DIVIDE_ASSIGN`
/= operator.
`static final Assignment.Operator`
Assignment.Operator.`LEFT_SHIFT_ASSIGN`
<<== operator.
`static final Assignment.Operator`
Assignment.Operator.`MINUS_ASSIGN`
-= operator.
`static final Assignment.Operator`
Assignment.Operator.`PLUS_ASSIGN`
+= operator.
`static final Assignment.Operator`
Assignment.Operator.`REMAINDER_ASSIGN`
%= operator.
`static final Assignment.Operator`
Assignment.Operator.`RIGHT_SHIFT_SIGNED_ASSIGN`
>>= operator.
`static final Assignment.Operator`
Assignment.Operator.`RIGHT_SHIFT_UNSIGNED_ASSIGN`
>>>= operator.
`static final Assignment.Operator`
Assignment.Operator.`TIMES_ASSIGN`
= operator.
Methods in org.eclipse.jdt.core.dom that return Assignment.Operator
Modifier and Type
Method
Description
`Assignment.Operator`
Assignment.`getOperator()`
Returns the operator of this assignment expression.
`static Assignment.Operator`
Assignment.Operator.`toOperator(String token)`
Returns the assignment operator corresponding to the given string, or `null` if none.
Methods in org.eclipse.jdt.core.dom with parameters of type Assignment.Operator
Modifier and Type
Method
Description
`void`
Assignment.`setOperator(Assignment.Operator assignmentOperator)`
Sets the operator of this assignment expression.